"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

require("core-js/modules/es.array.iterator");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SideBar = SideBar;

function _react() {
  const data = _interopRequireWildcard(require("react"));

  _react = function () {
    return data;
  };

  return data;
}

function _drawer() {
  const data = require("../drawer");

  _drawer = function () {
    return data;
  };

  return data;
}

function _sideBarModule() {
  const data = _interopRequireDefault(require("./side-bar.module.scss"));

  _sideBarModule = function () {
    return data;
  };

  return data;
}

/**
 * side bar component.
 */
function SideBar({
  drawerSlot
}) {
  const [openDrawerList, onToggleDrawer] = (0, _react().useState)([drawerSlot.toArray()[0][0]]);

  const handleDrawerToggle = id => {
    const isDrawerOpen = openDrawerList.includes(id);

    if (isDrawerOpen) {
      onToggleDrawer(list => list.filter(drawer => drawer !== id));
      return;
    }

    onToggleDrawer(list => list.concat(id));
  };

  return /*#__PURE__*/_react().default.createElement("div", {
    className: _sideBarModule().default.sidebar
  }, drawerSlot.toArray().map(([id, drawer]) => {
    if (!drawer || !drawer.name) return null;
    return /*#__PURE__*/_react().default.createElement(_drawer().DrawerUI, {
      isOpen: openDrawerList.includes(id),
      onToggle: () => handleDrawerToggle(id),
      key: id,
      drawer: drawer
    });
  }));
}

//# sourceMappingURL=ui/side-bar/side-bar.js.map